Search, check availability, and purchase traditional DNS domains. This API enables AI assistants to help users find and buy domain names.
- Get URL to add a payment method
MCP API (1.0.0)
Request
Get the current shopping cart contents with comprehensive pricing breakdown including discounts, taxes, and credits. Optionally apply a discount code. Requires authentication.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_get
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_get \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"discountCode": "string"
}'{ "items": [ { … } ], "itemCount": 0, "pricing": { "totalOrderValue": 0, "totalOrderValueFormatted": "string", "preTaxAmountDue": 0, "preTaxAmountDueFormatted": "string", "salesTax": 0, "salesTaxFormatted": "string", "taxRate": 0, "promoCreditsUsed": 0, "promoCreditsUsedFormatted": "string", "storeCreditsUsed": 0, "storeCreditsUsedFormatted": "string", "accountBalanceUsed": 0, "accountBalanceUsedFormatted": "string", "totalAmountDue": 0, "totalAmountDueFormatted": "string" }, "discounts": [ { … } ], "totalDiscounts": 0, "totalDiscountsFormatted": "string" }
Request
Add one or more domains to the shopping cart for fresh registration. Returns the updated cart summary. Requires authentication.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_add_domain_registration
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_add_domain_registration \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domains": [
{
"name": "string",
"productType": "string",
"quantity": 1
}
]
}'{ "addedProducts": [ { … } ], "successCount": 0, "failureCount": 0, "cart": { "itemCount": 0, "subtotal": 0, "subtotalFormatted": "string" } }
Request
Add one or more marketplace-listed domains to the shopping cart. Supports both "Buy it now" (full price) and "Lease to Own" (monthly payments) purchases. Requires authentication.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_add_domain_listed
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_add_domain_listed \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domains": [
{
"name": "string",
"leaseToOwnOptions": {
"type": "equal_installments",
"termLength": 2,
"downPaymentPercentage": 10
}
}
]
}'{ "addedProducts": [ { … } ], "successCount": 0, "failureCount": 0, "cart": { "itemCount": 0, "subtotal": 0, "subtotalFormatted": "string" } }
Request
Add one or more Afternic marketplace domains to the shopping cart. For domains with marketplace.source = "afternic" and marketplace.status = "registered-listed-for-sale" from search results. Requires authentication.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_add_domain_afternic
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_add_domain_afternic \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domains": [
{
"name": "string"
}
]
}'{ "addedProducts": [ { … } ], "successCount": 0, "failureCount": 0, "cart": { "itemCount": 0, "subtotal": 0, "subtotalFormatted": "string" } }
Request
Add one or more Sedo marketplace domains to the shopping cart. For domains with marketplace.source = "sedo" and marketplace.status = "registered-listed-for-sale" from search results. Requires authentication.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_add_domain_sedo
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_add_domain_sedo \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domains": [
{
"name": "string"
}
]
}'{ "addedProducts": [ { … } ], "successCount": 0, "failureCount": 0, "cart": { "itemCount": 0, "subtotal": 0, "subtotalFormatted": "string" } }
Request
Add one or more domain renewals to the shopping cart. User must own the domains to renew them. Returns the updated cart summary. Requires authentication.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_add_domain_renewal
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_add_domain_renewal \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"domains": [
{
"name": "string",
"quantity": 1
}
]
}'{ "addedRenewals": [ { … } ], "successCount": 0, "failureCount": 0, "cart": { "itemCount": 0, "subtotal": 0, "subtotalFormatted": "string" } }
Request
Remove one or more items from the shopping cart by product ID. Returns the updated cart. Requires authentication.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_remove
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_remove \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"productIds": [
0
]
}'{ "removedProductIds": [ 0 ], "removedCount": 0, "cart": { "itemCount": 0, "subtotal": 0, "subtotalFormatted": "string", "items": [ … ] } }
Request
Get saved credit cards, account balance, and promo credits available for checkout. Requires authentication.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_get_payment_methods
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_get_payment_methods \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{}'{ "savedCards": [ { … } ], "accountBalance": { "amount": 0, "amountFormatted": "string" }, "promoCredits": { "amount": 0, "amountFormatted": "string" }, "summary": { "hasValidCards": true, "validCardCount": 0, "hasAccountBalance": true, "hasPromoCredits": true, "totalCredits": 0, "totalCreditsFormatted": "string", "canCheckout": true } }
Request
Get a URL to the payment management page where users can securely add a new credit card. Requires authentication.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_add_payment_method_url
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_add_payment_method_url \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{}'{ "url": "string", "instructions": "string" }
Request
Complete checkout for cart items using saved payment method or account balance. Requires authentication.
Stripe payment method ID for card payment. Required if cart total exceeds account balance.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_checkout
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_checkout \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"paymentMethodId": "string",
"useAccountBalance": true,
"discountCode": "string",
"contactId": "string"
}'{ "success": true, "orderId": 0, "paymentId": 0, "summary": { "itemCount": 0, "domains": [ … ], "subtotal": 0, "subtotalFormatted": "string", "discounts": 0, "discountsFormatted": "string", "creditsUsed": 0, "creditsUsedFormatted": "string", "salesTax": 0, "salesTaxFormatted": "string", "totalCharged": 0, "totalChargedFormatted": "string", "paymentMethod": "string" }, "note": "string" }
Request
Generate a checkout URL for completing the purchase in a browser. Returns the URL along with a cart summary. Requires authentication.
- Production serverhttps://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_get_url
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
curl -i -X POST \
https://api.unstoppabledomains.com/mcp/v1/actions/ud_cart_get_url \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"discountCode": "string"
}'{ "checkoutUrl": "string", "cartSummary": { "itemCount": 0, "subtotal": 0, "subtotalFormatted": "string", "items": [ … ] }, "discountCode": "string", "instructions": "string" }